cancel
Showing results for 
Search instead for 
Did you mean: 

why the incessant prompts to update my plug-ins?

Highlighted
New Contributor

why the incessant prompts to update my plug-ins?

can't open firefox anymore without these needling prompts to update my plug-ins. please allow me to use firefox in the manner I choose and give me credit for knowing what works best on my system.

with all the known security issues with java, how dare you disable the version that's been working fine for me and prompt me to update?

outdated flash player plugin? guess what: the "latest" flash player is horrible on my machine.

perhaps you'd rather I migrate to google-chrome?

2 REPLIES
Site Moderator

Re: why the incessant prompts to update my plug-ins?

firefox 12 is outdated too: https://www.mozilla.org/security/known-vulnerabilities/firefox.html

no matter which browser you use, it's important to keep it & all of its plugins up to date...

New Contributor

Re: why the incessant prompts to update my plug-ins?

with respect, that is errant nonsense.

can't count how many times I've regretted the latest so-called updates. flash, java, even the browser itself: updates are seldom what they're purported to be.

several times, I've lost all bookmarks and settings with an "update" and it's taught me the wisdom of using mozbackup--and of NOT lapping up the latest version of everything that comes along.

as mentioned, it's condescending and invasive of mozilla to keep prompting me so--particularly as they offer no protocols to opt-out.